# Class RouterScenario

- Defined in packages/app/src/router.ts:242

#####
Index

### Constructors

constructor

### Properties

options
router
selections

### Methods

clone
filter
getLimit
getPolicy
getUrl
getUrls
limit
policy
update
weight

##
Constructors

### constructor

- new RouterScenario(
  router: Router ,
  selections: Selection [],
  options?: RouterScenarioOptions ,
  ): RouterScenario

- #### Parameters

  - router: Router
  - selections: Selection []
  - options: RouterScenarioOptions = {}

  #### Returns RouterScenario

  - Defined in packages/app/src/router.ts:243

##
Properties

### `Readonly` options

options: RouterScenarioOptions = {}

- Defined in packages/app/src/router.ts:243

### `Readonly` router

router: Router

- Defined in packages/app/src/router.ts:243

### `Readonly` selections

selections: Selection []

- Defined in packages/app/src/router.ts:243

##
Methods

### clone

- clone(options: RouterScenarioOptions ): RouterScenario

- #### Parameters

  - options: RouterScenarioOptions

  #### Returns RouterScenario

  - Defined in packages/app/src/router.ts:245

### filter

- filter(f: (selection: Selection ) => boolean): RouterScenario

- #### Parameters

  - f: (selection: Selection ) => boolean

  #### Returns RouterScenario

  - Defined in packages/app/src/router.ts:248

### getLimit

- getLimit(): number

- #### Returns number

  - Defined in packages/app/src/router.ts:263

### getPolicy

- getPolicy(): (count: number, limit: number) => number

- #### Returns (count: number, limit: number) => number

  - Defined in packages/app/src/router.ts:261

### getUrl

- getUrl(): string

- #### Returns string

  - Defined in packages/app/src/router.ts:311

### getUrls

- getUrls(): string[]

- #### Returns string[]

  - Defined in packages/app/src/router.ts:265

### limit

- limit(limit: number): RouterScenario

- #### Parameters

  - limit: number

  #### Returns RouterScenario

  - Defined in packages/app/src/router.ts:256

### policy

- policy(policy: FallbackPolicy ): RouterScenario

- #### Parameters

  - policy: FallbackPolicy

  #### Returns RouterScenario

  - Defined in packages/app/src/router.ts:254

### update

- update(f: (selection: Selection ) => Selection ): RouterScenario

- #### Parameters

  - f: (selection: Selection ) => Selection

  #### Returns RouterScenario

  - Defined in packages/app/src/router.ts:251

### weight

- weight(scale: number): RouterScenario

- #### Parameters

  - scale: number

  #### Returns RouterScenario

  - Defined in packages/app/src/router.ts:258